## DMS Get Stored Image Info request DMS Get Stored Image Info request |

## Functions

QmiMessageDmsGetStoredImageInfoInput * | qmi_message_dms_get_stored_image_info_input_new ()
QmiMessageDmsGetStoredImageInfoInput * | qmi_message_dms_get_stored_image_info_input_ref ()
void | qmi_message_dms_get_stored_image_info_input_unref ()
gboolean | qmi_message_dms_get_stored_image_info_input_get_image ()
gboolean | qmi_message_dms_get_stored_image_info_input_set_image ()
QmiMessageDmsGetStoredImageInfoOutput * | qmi_message_dms_get_stored_image_info_output_ref ()
void | qmi_message_dms_get_stored_image_info_output_unref ()
gboolean | qmi_message_dms_get_stored_image_info_output_get_result ()
gboolean | qmi_message_dms_get_stored_image_info_output_get_boot_version ()
gboolean | qmi_message_dms_get_stored_image_info_output_get_pri_version ()
gboolean | qmi_message_dms_get_stored_image_info_output_get_oem_lock_id ()
void | qmi_client_dms_get_stored_image_info ()
QmiMessageDmsGetStoredImageInfoOutput * | qmi_client_dms_get_stored_image_info_finish ()

## Types and Values

| QmiMessageDmsGetStoredImageInfoInput
| QmiMessageDmsGetStoredImageInfoInputImage
| QmiMessageDmsGetStoredImageInfoOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsGetStoredImageInfoInput
        ╰── QmiMessageDmsGetStoredImageInfoOutput

## Description

## Functions

### qmi_message_dms_get_stored_image_info_input_new ()

    QmiMessageDmsGetStoredImageInfoInput *
    qmi_message_dms_get_stored_image_info_input_new
                                   (void);

Allocates a new QmiMessageDmsGetStoredImageInfoInput.

#### Returns

the newly created QmiMessageDmsGetStoredImageInfoInput. The returned value should be freed with `qmi_message_dms_get_stored_image_info_input_unref()`.

Since: 1.0

### qmi_message_dms_get_stored_image_info_input_ref ()

    QmiMessageDmsGetStoredImageInfoInput *
    qmi_message_dms_get_stored_image_info_input_ref
                                   (QmiMessageDmsGetStoredImageInfoInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsGetStoredImageInfoInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_get_stored_image_info_input_unref ()

    void
    qmi_message_dms_get_stored_image_info_input_unref
                                   (QmiMessageDmsGetStoredImageInfoInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsGetStoredImageInfoInput. |

Since: 1.0

### qmi_message_dms_get_stored_image_info_input_get_image ()

    gboolean
    qmi_message_dms_get_stored_image_info_input_get_image
                                   (QmiMessageDmsGetStoredImageInfoInput *self,
                                    QmiMessageDmsGetStoredImageInfoInputImage *value_image,
                                    GError **error);

Get the 'Image' field from `self` .

#### Parameters

self | a QmiMessageDmsGetStoredImageInfoInput. |
value_image | a placeholder for the output constant QmiMessageDmsGetStoredImageInfoInputImage, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_get_stored_image_info_input_set_image ()

    gboolean
    qmi_message_dms_get_stored_image_info_input_set_image
                                   (QmiMessageDmsGetStoredImageInfoInput *self,
                                    const QmiMessageDmsGetStoredImageInfoInputImage *value_image,
                                    GError **error);

Set the 'Image' field in the message.

#### Parameters

self | a QmiMessageDmsGetStoredImageInfoInput. |
value_image | the address of the QmiMessageDmsGetStoredImageInfoInputImage to set. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_get_stored_image_info_output_ref ()

    QmiMessageDmsGetStoredImageInfoOutput *
    qmi_message_dms_get_stored_image_info_output_ref
                                   (QmiMessageDmsGetStoredImageInfoOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsGetStoredImageInfoOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_get_stored_image_info_output_unref ()

    void
    qmi_message_dms_get_stored_image_info_output_unref
                                   (QmiMessageDmsGetStoredImageInfoOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsGetStoredImageInfoOutput. |

Since: 1.0

### qmi_message_dms_get_stored_image_info_output_get_result ()

    gboolean
    qmi_message_dms_get_stored_image_info_output_get_result
                                   (QmiMessageDmsGetStoredImageInfoOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsGetStoredImageInfoOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_message_dms_get_stored_image_info_output_get_boot_version ()

    gboolean
    qmi_message_dms_get_stored_image_info_output_get_boot_version
                                   (QmiMessageDmsGetStoredImageInfoOutput *self,
                                    guint16 *value_boot_version_major_version,
                                    guint16 *value_boot_version_minor_version,
                                    GError **error);

Get the 'Boot Version' field from `self` .

#### Parameters

self | a QmiMessageDmsGetStoredImageInfoOutput. |
value_boot_version_major_version | a placeholder for the output guint16, or `NULL` if not required. |
value_boot_version_minor_version | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_get_stored_image_info_output_get_pri_version ()

    gboolean
    qmi_message_dms_get_stored_image_info_output_get_pri_version
                                   (QmiMessageDmsGetStoredImageInfoOutput *self,
                                    guint32 *value_pri_version_pri_version,
                                    const gchar **value_pri_version_pri_info,
                                    GError **error);

Get the 'PRI Version' field from `self` .

#### Parameters

self | a QmiMessageDmsGetStoredImageInfoOutput. |
value_pri_version_pri_version | a placeholder for the output guint32, or `NULL` if not required. |
value_pri_version_pri_info | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_get_stored_image_info_output_get_oem_lock_id ()

    gboolean
    qmi_message_dms_get_stored_image_info_output_get_oem_lock_id
                                   (QmiMessageDmsGetStoredImageInfoOutput *self,
                                    guint32 *value_oem_lock_id,
                                    GError **error);

Get the 'OEM Lock ID' field from `self` .

#### Parameters

self | a QmiMessageDmsGetStoredImageInfoOutput. |
value_oem_lock_id | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_client_dms_get_stored_image_info ()

    void
    qmi_client_dms_get_stored_image_info (QmiClientDms *self,
                                          QmiMessageDmsGetStoredImageInfoInput *input,
                                          guint timeout,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

Asynchronously sends a Get Stored Image Info request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_get_stored_image_info_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsGetStoredImageInfoInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_dms_get_stored_image_info_finish ()

    QmiMessageDmsGetStoredImageInfoOutput *
    qmi_client_dms_get_stored_image_info_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_get_stored_image_info()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_get_stored_image_info()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsGetStoredImageInfoOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_get_stored_image_info_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageDmsGetStoredImageInfoInput

    typedef struct _QmiMessageDmsGetStoredImageInfoInput QmiMessageDmsGetStoredImageInfoInput;

The QmiMessageDmsGetStoredImageInfoInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageDmsGetStoredImageInfoInputImage

    typedef struct {
        QmiDmsFirmwareImageType type;
        GArray *unique_id;
        gchar *build_id;
    } QmiMessageDmsGetStoredImageInfoInputImage;

A QmiMessageDmsGetStoredImageInfoInputImage struct.

#### Members

QmiDmsFirmwareImageType `type`; | a QmiDmsFirmwareImageType. |
GArray *`unique_id`; | a GArray of guint8 elements. |
gchar *`build_id`; | a string. |

Since: 1.0

### QmiMessageDmsGetStoredImageInfoOutput

    typedef struct _QmiMessageDmsGetStoredImageInfoOutput QmiMessageDmsGetStoredImageInfoOutput;

The QmiMessageDmsGetStoredImageInfoOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0